Create a lead
POST
/leads
const url = 'https://apisandbox.puurk.com/leads';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"HaFjsdk2141811fasF","oid":"1249fDSZ6714ekjfFK","eid":"example","first_name":"Jane","last_name":"Doe","phone_number":"+1544123456","email_address":"janedoe@email.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/leads \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "HaFjsdk2141811fasF", "oid": "1249fDSZ6714ekjfFK", "eid": "example", "first_name": "Jane", "last_name": "Doe", "phone_number": "+1544123456", "email_address": "janedoe@email.com" }'Create a new lead/client
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Lead object to create
Media typeapplication/json
object
id
string
Example
HaFjsdk2141811fasFoid
string
Example
1249fDSZ6714ekjfFKeid
string
first_name
required
string
Example
Janelast_name
required
string
Example
Doephone_number
string
Example
+1544123456email_address
string
Example
janedoe@email.comResponses
Section titled “Responses”Lead created
Media typeapplication/json
object
id
string
oid
string
eid
string
first_name
required
string
last_name
required
string
phone_number
string
email_address
string
Example
{ "id": "HaFjsdk2141811fasF", "oid": "1249fDSZ6714ekjfFK", "first_name": "Jane", "last_name": "Doe", "phone_number": "+1544123456", "email_address": "janedoe@email.com"}Invalid input
Unauthorized